« [Vim] Vim と Ruby の組み込み | トップページ | [Ruby] XCAPClient »

2009年7月30日 (木)

[Ruby] Johnson


1.1.2が公開された(ruby-talk:342779)。



SpiderMonkey を使って、RubyからJavaScript を評価して実行するための拡張ライブラリ。
SpiderMonkey が含まれているので別途 SpiderMonkey は不要な感じっぽい。



gemに対応したそうです。



1.9.2dev で試してみましたが残念ながら、拡張ライブラリのコンパイルのところで ruby_errinfo の定義が見つからないとエラーになりました。
多分、ruby_errinfo を rb_errinfo() 関数に置き変えればいけるはず。


|

« [Vim] Vim と Ruby の組み込み | トップページ | [Ruby] XCAPClient »

コメント

この記事へのコメントは終了しました。